org.gnome.gtk

## Interface StatusIcon.Activate

- Enclosing class:
    StatusIcon

      public static interface StatusIcon.Activate

  The signal emitted when the user activates the StatusIcon. In general this happens when the user left-clicks on this StatusIcon's image in the notification area.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onActivate(StatusIcon source)` The signal emitted when the user activates the StatusIcon.

- - ### Method Detail

    - #### onActivate

          void onActivate(StatusIcon source)

      The signal emitted when the user activates the StatusIcon.
      Parameters:
        `source` - the StatusIcon that was activated.